gnutls_x509_crt_set_key_usage(3)

NAME
gnutls_x509_crt_set_key_usage - This function will set the keyUsage extension

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_key_usage(gnutls_x509_crt_t crt, unsigned int usage);

ARGUMENTS

gnutls_x509_crt_t crt
    should contain a gnutls_x509_crt_t structure

unsigned int usage
    an ORed sequence of the GNUTLS_KEY_* elements.

DESCRIPTION
This function will set the keyUsage certificate extension. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.